import java.rmi.*;         // fuer RemoteException
import java.rmi.server.*;  // fuer UnicastRemoteObject

class KundeImpl
                extends UnicastRemoteObject
                implements Kunde
                 {

   String name;
   Adresse adr;

   public KundeImpl (String n) throws RemoteException {

    name = n;
    adr = new AdresseImpl();
   }

   public String getName() throws RemoteException {

    String adresse = adr.getOrt();
    return name+"," + adresse;

   }
   public Adresse getAdress() throws RemoteException {

    return this.adr;

   }

}